rte_crypto_ecdsa_op_param(3)

NAME
rte_crypto_ecdsa_op_param

SYNOPSIS

#include <rte_crypto_asym.h>

  Data Fields

enum rte_crypto_asym_op_type op_type
rte_crypto_param message
rte_crypto_uint k
rte_crypto_uint r
rte_crypto_uint s

Detailed Description

ECDSA operation params

Definition at line 606 of file rte_crypto_asym.h.

Field Documentation

  enum rte_crypto_asym_op_type op_type
Signature generation or verification

Definition at line 607 of file rte_crypto_asym.h.

  rte_crypto_param message
Input message digest to be signed or verified

Definition at line 610 of file rte_crypto_asym.h.

  rte_crypto_uint k
The ECDSA per-message secret number, which is an integer in the interval (1, n-1). If the random number is generated by the PMD, the 'rte_crypto_param.data' parameter should be set to NULL.

Definition at line 613 of file rte_crypto_asym.h.

  rte_crypto_uint r
r component of elliptic curve signature output : for signature generation input : for signature verification

Definition at line 620 of file rte_crypto_asym.h.

  rte_crypto_uint s
s component of elliptic curve signature output : for signature generation input : for signature verification

Definition at line 625 of file rte_crypto_asym.h.

Author

Generated automatically by Doxygen for DPDK from the source code.